Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class AddressEntries

    java.lang.Object
      com.compoze.exchange.AddressEntries

All Implemented Interfaces:
  java.io.Serializable

public class AddressEntries
extends java.lang.Object
implements java.io.Serializable

This class contains the methods used for address entry manipulation.

See Also:
  Serialized Form

Method Summary
`AddressEntry[]` | `serverGetAddressEntries(int iStartIndex, int iEndIndex, PropertyKey[] keys, java.util.Date freeBusyStart, java.util.Date freeBusyEnd, int iFreeBusyInterval)` Queries the server to get address entries.
`AddressEntry[]` | `serverGetAddressEntries(java.lang.String[] entryIDs, int iStartIndex, int iEndIndex, SortProperty[] sortProps, PropertyValue[] filterProps, PropertyKey[] keys, boolean bOr, boolean bNot, java.util.Date freeBusyStart, java.util.Date freeBusyEnd, int iFreeBusyInterval)` Queries the server to get address entries.
`AddressEntry[]` | `serverGetAddressEntries(java.lang.String[] entryIDs, PropertyKey[] keys)` Queries the server to get address entries.
`int` | `serverGetAddressEntriesCount(PropertyValue[] filterProps, boolean bOr, boolean bNot)` Queries the server to get address entries count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serverGetAddressEntries

    public AddressEntry[] serverGetAddressEntries(java.lang.String[] entryIDs,
                                                  PropertyKey[] keys)
                                           throws ExchangeException

  Queries the server to get address entries.

  Parameters:
    `entryIDs` - the IDs of the address entries to retrieve (overrides start index, end index, filter and sort)
    `keys` - the keys of the properties to retrieve
  Throws:
    `ExchangeException`

### serverGetAddressEntries

    public AddressEntry[] serverGetAddressEntries(int iStartIndex,
                                                  int iEndIndex,
                                                  PropertyKey[] keys,
                                                  java.util.Date freeBusyStart,
                                                  java.util.Date freeBusyEnd,
                                                  int iFreeBusyInterval)
                                           throws ExchangeException

  Queries the server to get address entries.

  Parameters:
    `iStartIndex` - the start index
    `iEndIndex` - the end index
    `keys` - the keys of the properties to retrieve
    `freeBusyStart` - the start of free/busy data to retrieve (only valid if `ADDRESS_ENTRY_FREE_BUSY` is being retrieved)
    `freeBusyEnd` - the end of free/busy data to retrieve (only valid if `ADDRESS_ENTRY_FREE_BUSY` is being retrieved)
    `iFreeBusyInterval` - the free/busy interval (minutes)
  Throws:
    `ExchangeException`

### serverGetAddressEntries

    public AddressEntry[] serverGetAddressEntries(java.lang.String[] entryIDs,
                                                  int iStartIndex,
                                                  int iEndIndex,
                                                  SortProperty[] sortProps,
                                                  PropertyValue[] filterProps,
                                                  PropertyKey[] keys,
                                                  boolean bOr,
                                                  boolean bNot,
                                                  java.util.Date freeBusyStart,
                                                  java.util.Date freeBusyEnd,
                                                  int iFreeBusyInterval)
                                           throws ExchangeException

  Queries the server to get address entries.

  Parameters:
    `entryIDs` - the IDs of the address entries to retrieve (overrides start index, end index, filter and sort)
    `iStartIndex` - the start index
    `iEndIndex` - the end index
    `sortProps` - the sort properties
    `filterProps` - the filter properties
    `keys` - the keys of the properties to retrieve
    `bOr` - if `true`, or the filter properties together, otherwise and the properties
    `bNot` - if `true`, negate the filter condition
    `freeBusyStart` - the start of free/busy data to retrieve (only valid if `ADDRESS_ENTRY_FREE_BUSY` is being retrieved)
    `freeBusyEnd` - the end of free/busy data to retrieve (only valid if `ADDRESS_ENTRY_FREE_BUSY` is being retrieved)
    `iFreeBusyInterval` - the free/busy interval (minutes)
  Throws:
    `ExchangeException`

### serverGetAddressEntriesCount

    public int serverGetAddressEntriesCount(PropertyValue[] filterProps,
                                            boolean bOr,
                                            boolean bNot)
                                     throws ExchangeException

  Queries the server to get address entries count.

  Parameters:
    `filterProps` - the filter properties
    `bOr` - if `true`, or the filter properties together, otherwise and the properties
    `bNot` - if `true`, negate the filter condition
  Throws:
    `ExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.